GET /projects
GET
/projects
const url = 'https://example.com/projects';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/projectsResponses
Section titled “Responses”Successful response.
Media typeapplication/json
object
projects
required
Array<object>
object
id
required
string
gitUrl
required
string
localPath
required
string
defaultBranch
required
string
addedAt
required
string
lastFetchedAt
required
string | null
lastHeadSha
required
string | null
hasSeeds
required
boolean
Examplegenerated
{ "projects": [ { "id": "example", "gitUrl": "example", "localPath": "example", "defaultBranch": "example", "addedAt": "example", "lastFetchedAt": "example", "lastHeadSha": "example", "hasSeeds": true } ]}default
Section titled “default”Error response (see src/core/errors.ts).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
hint
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "hint": "example" }}